<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="cdffd76a-6be9-4da9-baa1-0d494793b2d6" name="Changes" comment="Judge Finalizado, se ha añadido una función que comprueba las preguntas resueltas, de esta forma si se han completado todas las preguntas sale directamente del bucle &quot;stopJudge&quot;. Ahora se verifica si antes de empezar si esta resuelto o no. De esta manera cuando vuelve a empezar omite las preguntas ya resueltas mostrando solo las que faltan por resolver. &#10;Falta documentar con dokka y test Unitarios.">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/README.md" beforeDir="false" afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/files/historial.txt" beforeDir="false" afterPath="$PROJECT_DIR$/src/files/historial.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/Main.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/Main.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/Preguntas.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/Preguntas.kt" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand />
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Kotlin Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="2" />
  </component>
  <component name="ProjectId" id="2M2ROzxcGXGIXKtCjXk1MvxSUGU" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "last_opened_file_path": "E:/PaulaGarciaDAWe1A/M03/Kotlin/UF4/M3_UF4_JudgeGarciaPaula",
    "settings.editor.selected.configurable": "reference.settingsdialog.project.gradle"
  }
}]]></component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cdffd76a-6be9-4da9-baa1-0d494793b2d6" name="Changes" comment="" />
      <created>1676963667316</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1676963667316</updated>
    </task>
    <task id="LOCAL-00001" summary="Subiendo proyecto a gitlab.">
      <created>1676964525710</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1676964525710</updated>
    </task>
    <task id="LOCAL-00002" summary="Se ha creado la clase preguntas. A continuación con la misma clase se han creado 5 objetos de preguntas. En proceso funcionamiento del programa. &#10;De momento se ha comprobado que los métodos de las clases funcionen correctamente.">
      <created>1676968596215</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1676968596215</updated>
    </task>
    <task id="LOCAL-00003" summary="Se han creado funciones para registrar y mostrar el historial.&#10;Se ha creado una lista que itera en las preguntas para no repetir codigo. Desconozco si es necesario alguna clase de menu por el momento. Podria implementarse un loop que repita toda el juego de nuevo.">
      <created>1676974879987</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1676974879987</updated>
    </task>
    <task id="LOCAL-00004" summary="Esta en proceso una función que permita regresar a las preguntas no contestadas. Además se esta mejorando el historico para poder mostrar los intentos en conjunto con la lista de palabras de intentos realizados.">
      <created>1677061632992</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1677061632992</updated>
    </task>
    <task id="LOCAL-00005" summary="Judge Finalizado, se ha añadido una función que comprueba las preguntas resueltas, de esta forma si se han completado todas las preguntas sale directamente del bucle &quot;stopJudge&quot;. Ahora se verifica si antes de empezar si esta resuelto o no. De esta manera cuando vuelve a empezar omite las preguntas ya resueltas mostrando solo las que faltan por resolver. &#10;Falta documentar con dokka y test Unitarios.">
      <created>1677070492138</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1677070492138</updated>
    </task>
    <option name="localTasksCounter" value="6" />
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Subiendo proyecto a gitlab." />
    <MESSAGE value="Se ha creado la clase preguntas. A continuación con la misma clase se han creado 5 objetos de preguntas. En proceso funcionamiento del programa. &#10;De momento se ha comprobado que los métodos de las clases funcionen correctamente." />
    <MESSAGE value="Se han creado funciones para registrar y mostrar el historial.&#10;Se ha creado una lista que itera en las preguntas para no repetir codigo. Desconozco si es necesario alguna clase de menu por el momento. Podria implementarse un loop que repita toda el juego de nuevo." />
    <MESSAGE value="Esta en proceso una función que permita regresar a las preguntas no contestadas. Además se esta mejorando el historico para poder mostrar los intentos en conjunto con la lista de palabras de intentos realizados." />
    <MESSAGE value="Judge Finalizado, se ha añadido una función que comprueba las preguntas resueltas, de esta forma si se han completado todas las preguntas sale directamente del bucle &quot;stopJudge&quot;. Ahora se verifica si antes de empezar si esta resuelto o no. De esta manera cuando vuelve a empezar omite las preguntas ya resueltas mostrando solo las que faltan por resolver. &#10;Falta documentar con dokka y test Unitarios." />
    <option name="LAST_COMMIT_MESSAGE" value="Judge Finalizado, se ha añadido una función que comprueba las preguntas resueltas, de esta forma si se han completado todas las preguntas sale directamente del bucle &quot;stopJudge&quot;. Ahora se verifica si antes de empezar si esta resuelto o no. De esta manera cuando vuelve a empezar omite las preguntas ya resueltas mostrando solo las que faltan por resolver. &#10;Falta documentar con dokka y test Unitarios." />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>